/**
 * Copyright © 2019, Oracle and/or its affiliates. All rights reserved.
 *
 * Licensed under the Universal Permissive License v 1.0 as shown at
 * http://oss.oracle.com/licenses/upl
 *
 */
#ifndef FDLEAK_H
#define FDLEAK_H

void find_open_fds_at_start(void);
// Effect: Make a note of all the open file descriptors.  Typically
// you call this first thing.

void fdleak_check(void);
// Effect: Emit an error diagnostic if any file descriptors are open
// that weren't open when find_open_fds_at_start() ran.  Typically you
// call this at the end.

#endif
